/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl;

import javax.xml.namespace.QName;

import org.globus.wsrf.container.ServiceHost;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public interface Consts {

	public static final String SERVICE_ACRONYM = "EPMS";
	public static final String SERVICE_NAME = SERVICE_ACRONYM + "Service";

	public static final String NAMESPACE_ROOT = "http://grid.deis.unical.it/kgrid/";
	public static final String SERVICES_ROOT = "wsrf/services/";
	public static final int CONTAINER_PORT = ServiceHost.getPort();

	public static final String EPMS_NAMESPACE = NAMESPACE_ROOT + SERVICE_NAME;
	public static final String RAEMS_NAMESPACE = NAMESPACE_ROOT
			+ "RAEMSService";

	public static final String EPMS_FACTORY = SERVICES_ROOT
			+ "EPMSFactoryService";
	public static final String RAEMS_FACTORY = SERVICES_ROOT
			+ "RAEMSFactoryService";
	public static final String DELEGATION_FACTORY = SERVICES_ROOT
			+ "DelegationFactoryService";

	public static final String KDS_PROTOCOL = "kds://";

	public static final QName RP_LASTOP = new QName(EPMS_NAMESPACE, "LastOp");
	public static final QName RP_MODEL = new QName(EPMS_NAMESPACE, "model");
	public static final QName RP_PLAN = new QName(EPMS_NAMESPACE, "EPMSPlan");
	public static final QName RES_PROPERTIES = new QName(EPMS_NAMESPACE,
			"EPMSResourceProperties");

	public static final String KNOWLEDGEGRID_PATH = "/home/globus/kgrid";

	public static final String SESSION_PATH = KNOWLEDGEGRID_PATH
			+ "/kepr/session/epms/";
}
