/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Access {
    private Location location;
    private Size size;

    public Access() {
        size = null;
        location = null;
    }

    public void setSize(Size size) {
        this.size = size;
    }

    public Size getSize() {
        return size;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public Location getLocation() {
        return location;
    }

    public String toString() {
        String ris = "<Access>";
        ris += "\n";
        if (location != null) {
            ris += location.toString();
            ris += "\n";
        }
        if (size != null) {
            ris += size.toString();
            ris += "\n";
        }
        ris += "</Access>";
        return ris;
    }

    public boolean equals(Object o) {
        Access access;
        if (o instanceof Access)
            access = (Access) o;
        else
            return false;
        if (this.getSize() != null && access.getSize() != null)
            if (!(this.getSize().equals(access.getSize())))
                return false;
        if (this.getLocation() != null && access.getLocation() != null)
            if (!(this.getLocation().equals(access.getLocation())))
                return false;
        return true;
    }

}
