/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

import java.util.Vector;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Args {
    private Vector<Arg> list;

    public Args() {
        list = new Vector<Arg>();
    }

    public boolean addArg(Arg arg) {
        return list.add(arg);
    }

    public boolean removeArg(Arg arg) {
        return list.remove(arg);
    }

    public int size() {
        return list.size();
    }

    public Arg get(int index) {
        return list.get(index);
    }

    public String toString() {
        String ris = "<Args>";
        ris += "\n";
        if (list.size() != 0)
            for (int i = 0; i < list.size(); i++) {
                Arg arg = (Arg) list.get(i);
                ris += arg.toString();
                ris += "\n";
            }
        ris += "</Args>";
        return ris;
    }

}
