/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

import java.util.Vector;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Attributes {
    private Vector<Attribute> list;

    public Attributes() {
        list = new Vector<Attribute>();
    }

    public boolean addAttribute(Attribute attribute) {
        return list.add(attribute);
    }

    public Attribute getAttribute(int index) {
        return list.get(index);
    }

    public int size() {
        return list.size();
    }

    public boolean removeAttribute(Attribute attribute) {
        return list.remove(attribute);
    }

    public String toString() {
        String ris = "<Attributes>";
        ris += "\n";
        if (list.size() != 0)
            for (int i = 0; i < list.size(); i++) {
                Attribute attribute = (Attribute) list.get(i);
                ris += attribute.toString();
                ris += "\n";
            }
        ris += "</Attributes>";
        return ris;
    }

    public boolean equals(Object o) {
        Attributes attributes;
        if (o instanceof Attributes)
            attributes = (Attributes) o;
        else
            return false;
        boolean equal = true;
        for (int i = 0; i < this.size() && equal; i++) {
            if (this.getAttribute(i) != null
                    && attributes.getAttribute(i) != null) {
                if (!(this.getAttribute(i).equals(attributes.getAttribute(i))))
                    equal = false;
            } else
                equal = false;
        }
        return equal;
    }

}
