/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Dataset extends DMSoftInput {
    private String type = null;
    private String href = null;
    private String title = null;
    private Access access = null;
    private Structure structure = null;

    public Dataset() {
        setName("");
    }

    public void setName(String name) {
        super.setName(name);
    }

    public String getName() {
        return super.getName();
    }

    public void setLocation(String location) {
        super.setLocation(location);
    }

    public String getLocation() {
        return super.getLocation();
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public String getHref() {
        return href;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setAccess(Access access) {
        this.access = access;
    }

    public Access getAccess() {
        return access;
    }

    public void setStructure(Structure structure) {
        this.structure = structure;
    }

    public Structure getStructure() {
        return structure;
    }

    public String toString() {
        String ris = "<Dataset ";
        ris += "name=\"" + getName() + "\" ";
        if (type != null)
            ris += "type=\"" + type + "\" ";
        ris += ">";
        ris += "\n";
        if (access != null) {
            ris += access.toString();
            ris += "\n";
        }
        if (structure != null) {
            ris += structure.toString();
            ris += "\n";
        }
        ris += "</Dataset>";
        return ris;
    }

    public boolean equals(Object o) {
        Dataset dataset;
        if (o instanceof Dataset)
            dataset = (Dataset) o;
        else
            return false;
        if (!(this.getName().equals(dataset.getName())))
            return false;
        if (this.getLocation() != null && dataset.getLocation() != null)
            if (!(this.getLocation().equals(dataset.getLocation())))
                return false;
        if (this.getType() != null && dataset.getType() != null)
            if (!(this.getType().equals(dataset.getType())))
                return false;
        if (this.getHref() != null && dataset.getHref() != null)
            if (!(this.getHref().equals(dataset.getHref())))
                return false;
        if (this.getTitle() != null && dataset.getTitle() != null)
            if (!(this.getTitle().equals(dataset.getTitle())))
                return false;
        if (this.getAccess() != null && dataset.getAccess() != null)
            if (!(this.getAccess().equals(dataset.getAccess())))
                return false;
        if (this.getStructure() != null && dataset.getStructure() != null)
            if (!(this.getStructure().equals(dataset.getStructure())))
                return false;
        return true;
    }

}
