/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Description
{
	private KindOfData kod;
	private KindOfKnowledge kok;
	private KindOfTechnique kot;
	private DrivingMethod dm;
	
	public Description()
	{
		kod=null;
		kok=null;
		kot=null;
		dm=null;
	}
	
	public void setKindOfData(KindOfData kod){ this.kod=kod;}

	public KindOfData getKindOfData(){ return kod;}

	public void setKindOfKnowledge(KindOfKnowledge kok){ this.kok=kok;}

	public KindOfKnowledge getKindOfKnowledge(){ return kok;}

	public void setKindOfTechnique(KindOfTechnique kot){ this.kot=kot;}

	public KindOfTechnique getKindOfTechnique(){ return kot;}

	public void setDrivingMethod(DrivingMethod dm){ this.dm=dm;}

	public DrivingMethod getDrivingMethod(){ return dm;}

	
	public String toString()
	{ 
		String ris="<Description>";
		ris+="\n";
		if(kod!=null)
		{
			ris+=kod.toString();
			ris+="\n";
		}
		if(kok!=null)
		{
			ris+=kok.toString();
			ris+="\n";
		}
		if(kot!=null)
		{
			ris+=kot.toString();
			ris+="\n";
		}
		if(dm!=null)
		{
			ris+=dm.toString();
			ris+="\n";
		}
		ris+="</Description>";
		return ris;
	}

}

