/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Format
{
	private AttributeSeparatorString ast;
	private RecordSeparatorString    rst;
	private UnknownTokenString       uts;
	
	public Format()
	{
		ast=null;
		rst=null;
		uts=null;
	}
	
	public void setAttributeSeparatorString(AttributeSeparatorString ast){ this.ast=ast;}

	public AttributeSeparatorString getAttributeSeparatorString(){ return ast;}

	public void setRecordSeparatorString(RecordSeparatorString rst){ this.rst=rst;}

	public RecordSeparatorString getRecordSeparatorString(){ return rst;}

	public void setUnknownTokenString(UnknownTokenString uts){ this.uts=uts;}

	public UnknownTokenString getUnknownTokenString(){ return uts;}

	
	public String toString()
	{ 
		String ris="<Format>";
		ris+="\n";
		if(ast!=null)
		{
			ris+=ast.toString();
			ris+="\n";
		}
		if(rst!=null)
		{
			ris+=rst.toString();
			ris+="\n";
		}
		if(uts!=null)
		{
			ris+=uts.toString();
			ris+="\n";
		}
		ris+="</Format>";
		return ris;
	}


	public boolean equals(Object o)
	{
		Format format;
		if(o instanceof Format)
			format=(Format) o;
		else
			return false;
		if(this.getAttributeSeparatorString()!=null && format.getAttributeSeparatorString()!=null)
			if(! (this.getAttributeSeparatorString().equals(format.getAttributeSeparatorString())) )
				return false;
		if(this.getRecordSeparatorString()!=null && format.getRecordSeparatorString()!=null)
			if(! (this.getRecordSeparatorString().equals(format.getRecordSeparatorString()))  )
				return false;
		if(this.getUnknownTokenString()!=null && format.getUnknownTokenString()!=null)
			if(! (this.getUnknownTokenString().equals(format.getUnknownTokenString()))  )
				return false;
		return true;
	}


}

