/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Output
{
	private String id=null;
	private Dataset dataset=null;
	
	public Output(String id)
	{
		this.id=id;
	}
	
	public void setId(String id){ this.id=id;}

	public String getId(){ return id;}

	public void setDataset(Dataset dataset){ this.dataset=dataset;}

	public Dataset getDataset(){ return dataset;}

	
	public String toString()
	{ 
		String ris="<Output ";
		ris+="id=\"" +id+"\">";
		ris+="\n";
	        if(dataset!=null)
		{
			ris+=dataset.toString();
			ris+="\n";
		}
		ris+="</Output>";
		return ris;
	}

}
