/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Structure
{
	private Format format;
	private Attributes attributes;
	
	public Structure()
	{
		format=null;
		attributes=null;
	}
	
	public void setFormat(Format format){ this.format=format;}

	public Format getFormat(){ return format;}

	public void setAttributes(Attributes attributes){ this.attributes=attributes;}

	public Attributes getAttributes(){ return attributes;}

	
	public String toString()
	{ 
		String ris="<Structure>";
		ris+="\n";
		if(format!=null)
		{
			ris+=format.toString();
			ris+="\n";
		}
		if(attributes!=null)
		{
			ris+=attributes.toString();
			ris+="\n";
		}
		ris+="</Structure>";
		return ris;
	}

	public boolean equals(Object o)
	{
		Structure structure;
		if(o instanceof Structure)
			structure=(Structure) o;
		else
			return false;
		if(this.getFormat()!=null && structure.getFormat()!=null)
			if(! (this.getFormat().equals(structure.getFormat())) )
				return false;
		if(this.getAttributes()!=null && structure.getAttributes()!=null)
			if(! (this.getAttributes().equals(structure.getAttributes()))  )
				return false;		
		return true;
	}
}


