/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Task {
	private String name = null;
	private Computation computation = null;
	private DataTransfer dt = null;

	public Task(String name) {
		this.name = name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setComputation(Computation computation) {
		this.computation = computation;
	}

	public Computation getComputation() {
		return computation;
	}

	public void setDataTransfer(DataTransfer dt) {
		this.dt = dt;
	}

	public DataTransfer getDataTransfer() {
		return dt;
	}

	public String toString() {
		String ris = "<Task ";
		ris += "name=\"" + name + "\">";
		ris += "\n";
		if (computation != null) {
			ris += computation.toString();
			ris += "\n";
		} else if (dt != null) {
			ris += dt.toString();
			ris += "\n";
		}
		ris += "</Task>";
		return ris;
	}

}
