/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class TaskLink {
	private String from = null;
	private String to = null;

	public TaskLink() {
		from = "";
		to = "";
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getFrom() {
		return from;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public String getTo() {
		return to;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (o instanceof TaskLink) {
			TaskLink t = (TaskLink) o;
			String tFrom = t.getFrom();
			String tTo = t.getTo();
			if (from != null) {
				if (to != null) {
					return from.equals(tFrom) && to.equals(tTo);
				}
				return from.equals(tFrom) && tTo == null;
			}
			if (to != null) {
				return tFrom == null && to.equals(tTo);
			}
			return tFrom == null && tTo == null;
		}
		return false;
	}

	public String toString() {
		String ris = "<TaskLink ep:";
		ris += "from=\"" + from + "\" ";
		ris += "ep:to=\"" + to + "\"/>";
		return ris;
	}

}
