/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.tag;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Usage
{
	private KindOfSoftware kos;
	private Invocation inv;
	private Location loc;
	private ManualPath mp;
	private OutputFolder out;
	private Args args;
	private HostName host;
	private DocumentationURL docURL;
	
	public Usage()
	{
		kos=null;
		inv=null;
		loc=null;
		mp=null;
		out=null;
		args=null;
		host=null;
		docURL=null;
	}
	
	public void setKindOfSoftware(KindOfSoftware kos){ this.kos=kos;}

	public KindOfSoftware getKindOfSoftware(){ return kos;}

	public void setInvocation(Invocation inv){ this.inv=inv;}

	public Invocation getInvocation(){ return inv;}

	public void setLocation(Location loc){ this.loc=loc;}

	public Location getLocation(){ return loc;}

	public void setManualPath(ManualPath mp){ this.mp=mp;}

	public ManualPath getManualPath(){ return mp;}

	public void setOutputFolder(OutputFolder out){ this.out=out;}

	public OutputFolder getOutputFolder(){ return out;}

	public void setArgs(Args args){ this.args=args;}

	public Args getArgs(){ return args;}

	public void setHostName(HostName host){ this.host=host;}

	public HostName getHostName(){ return host;}

	public void setDocumentationURL(DocumentationURL docURL){ this.docURL=docURL;}

	public DocumentationURL getDocumentationURL(){ return docURL;}

	
	public String toString()
	{ 
		String ris="<Usage>";
		ris+="\n";
		if(kos!=null)
		{
			ris+=kos.toString();
			ris+="\n";
		}
		if(inv!=null)
		{
			ris+=inv.toString();
			ris+="\n";
		}
		if(loc!=null)
		{
			ris+=loc.toString();
			ris+="\n";
		}
		if(mp!=null)
		{
			ris+=mp.toString();
			ris+="\n";
		}
		if(out!=null)
		{
			ris+=out.toString();
			ris+="\n";
		}
		if(args!=null)
		{
			ris+=args.toString();
			ris+="\n";
		}
		if(host!=null)
		{
			ris+=host.toString();
			ris+="\n";
		}
		if(docURL!=null)
		{
			ris+=docURL.toString();
			ris+="\n";
		}
		ris+="</Usage>";
		return ris;
	}

}
