/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.epms.service.impl.utils;

import java.io.Serializable;

import kgrid.epms.service.impl.EPMSResource;

import org.apache.axis.message.addressing.EndpointReferenceType;

import org.w3c.dom.Document;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Session implements Serializable {

    private static final long     serialVersionUID = -3032736067408130595L;
    private String                sessionID;
    private EPMSResource          resource;
    private EndpointReferenceType clientCredentials;

    public Session(EPMSResource resource) {
        this.resource = resource;
    }

    public String getSessionID() {
        return sessionID;
    }

    public void setSessionID(String sessionID) {
        this.sessionID = sessionID;
    }

    public EndpointReferenceType getClientCredentials() {
        return clientCredentials;
    }

    public void setClientCredentials(EndpointReferenceType clientCredentials) {
        this.clientCredentials = clientCredentials;
    }

    public synchronized void setResourceModel(Document model) {
        this.resource.setModel(model);
    }

    public synchronized Document getResourceModel() {
        return resource.getModel();
    }

    public synchronized void setResourcePlan(Document plan) {
        this.resource.setPlan(plan);
    }

    public synchronized Document getResourcePlan() {
        return resource.getPlan();
    }
}
